export COPYLEAKS_EMAIL="[email protected]"
export COPYLEAKS_API_KEY="your-api-key-here"
curl --request POST \
--url https://id.copyleaks.com/v3/account/login/api \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data "{
\"email\": \"${COPYLEAKS_EMAIL}\",
\"key\": \"${COPYLEAKS_API_KEY}\"
}"
from copyleaks.copyleaks import Copyleaks
EMAIL_ADDRESS = "[email protected]"
API_KEY = "your-api-key-here"
auth_token = Copyleaks.login(EMAIL_ADDRESS, API_KEY)
print("Logged successfully!\nToken:", auth_token)
const { Copyleaks } = require("plagiarism-checker");
const EMAIL_ADDRESS = "[email protected]";
const API_KEY = "your-api-key-here";
const copyleaks = new Copyleaks();
copyleaks.loginAsync(EMAIL_ADDRESS, API_KEY).then(
(loginResult) => console.log("Access Token:", loginResult.access_token),
(err) => { throw err; }
);
import com.copyleaks.sdk.api.Copyleaks;
String EMAIL_ADDRESS = "[email protected]";
String API_KEY = "00000000-0000-0000-0000-000000000000";
String authToken = Copyleaks.login(EMAIL_ADDRESS, API_KEY);
System.out.println("Logged successfully!\nToken: " + authToken);
{
"access_token": "ACLNSKNSDAACCAJANCOIUiausoo_saidjaskldjoa...",
".issued": "2018-11-24T16:15:38.2431255+02:00",
".expires": "2018-11-26T16:15:38.2431255+02:00"
}
Account
Login
Authenticate with the Copyleaks API using your email and API key
POST
/
v3
/
account
/
login
/
api
export COPYLEAKS_EMAIL="[email protected]"
export COPYLEAKS_API_KEY="your-api-key-here"
curl --request POST \
--url https://id.copyleaks.com/v3/account/login/api \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data "{
\"email\": \"${COPYLEAKS_EMAIL}\",
\"key\": \"${COPYLEAKS_API_KEY}\"
}"
from copyleaks.copyleaks import Copyleaks
EMAIL_ADDRESS = "[email protected]"
API_KEY = "your-api-key-here"
auth_token = Copyleaks.login(EMAIL_ADDRESS, API_KEY)
print("Logged successfully!\nToken:", auth_token)
const { Copyleaks } = require("plagiarism-checker");
const EMAIL_ADDRESS = "[email protected]";
const API_KEY = "your-api-key-here";
const copyleaks = new Copyleaks();
copyleaks.loginAsync(EMAIL_ADDRESS, API_KEY).then(
(loginResult) => console.log("Access Token:", loginResult.access_token),
(err) => { throw err; }
);
import com.copyleaks.sdk.api.Copyleaks;
String EMAIL_ADDRESS = "[email protected]";
String API_KEY = "00000000-0000-0000-0000-000000000000";
String authToken = Copyleaks.login(EMAIL_ADDRESS, API_KEY);
System.out.println("Logged successfully!\nToken: " + authToken);
{
"access_token": "ACLNSKNSDAACCAJANCOIUiausoo_saidjaskldjoa...",
".issued": "2018-11-24T16:15:38.2431255+02:00",
".expires": "2018-11-26T16:15:38.2431255+02:00"
}
export COPYLEAKS_EMAIL="[email protected]"
export COPYLEAKS_API_KEY="your-api-key-here"
curl --request POST \
--url https://id.copyleaks.com/v3/account/login/api \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data "{
\"email\": \"${COPYLEAKS_EMAIL}\",
\"key\": \"${COPYLEAKS_API_KEY}\"
}"
from copyleaks.copyleaks import Copyleaks
EMAIL_ADDRESS = "[email protected]"
API_KEY = "your-api-key-here"
auth_token = Copyleaks.login(EMAIL_ADDRESS, API_KEY)
print("Logged successfully!\nToken:", auth_token)
const { Copyleaks } = require("plagiarism-checker");
const EMAIL_ADDRESS = "[email protected]";
const API_KEY = "your-api-key-here";
const copyleaks = new Copyleaks();
copyleaks.loginAsync(EMAIL_ADDRESS, API_KEY).then(
(loginResult) => console.log("Access Token:", loginResult.access_token),
(err) => { throw err; }
);
import com.copyleaks.sdk.api.Copyleaks;
String EMAIL_ADDRESS = "[email protected]";
String API_KEY = "00000000-0000-0000-0000-000000000000";
String authToken = Copyleaks.login(EMAIL_ADDRESS, API_KEY);
System.out.println("Logged successfully!\nToken: " + authToken);
{
"access_token": "ACLNSKNSDAACCAJANCOIUiausoo_saidjaskldjoa...",
".issued": "2018-11-24T16:15:38.2431255+02:00",
".expires": "2018-11-26T16:15:38.2431255+02:00"
}
Authorization: Bearer TOKEN
Authorization header for your next endpoint calls, make sure that the token has not expired. If it expired, generate a new one.
The Copyleaks API token should be treated as a password. Attackers, who can gain access to this token, can access your private information and modify it.
12 requests per account/15 minutesIf you exceed the API limit, authentication will be blocked for 5 minutes (Rate Limit Exceeded HTTP 429 - Too Many Requests).
Request
Headers
Content-Type: application/json
Accept: application/json
Body
string
required
Your Copyleaks account email address
string
required
Your Copyleaks account API key (UUID format)
Responses
- 200
- 400
- 401
- 429
200 OK - The command was executed successfully.
{
"access_token": "ACLNSKNSDAACCAJANCOIUiausoo_saidjaskldjoa...",
".issued": "2018-11-24T16:15:38.2431255+02:00",
".expires": "2018-11-26T16:15:38.2431255+02:00"
}
400 Bad Request - Invalid request format or missing required fields
401 Unauthorized - Invalid email or API key
429 Too Many Requests - Rate limit exceeded (blocked for 5 minutes)

